Subject: Re: linux-next: Tree for Feb 9

From: Catalin Marinas <[email-masked]>
Date: Tue, 9 Feb 2016 14:38:28 +0000

On Tue, Feb 09, 2016 at 02:35:54PM +0000, Mark Rutland wrote:
> On Tue, Feb 09, 2016 at 02:48:26PM +0100, Geert Uytterhoeven wrote:
> > On Tue, Feb 9, 2016 at 1:00 PM, Mark Rutland <[email-masked]> wrote:
> > > On Tue, Feb 09, 2016 at 01:04:28PM +0530, Sudip Mukherjee wrote:
> > >> On Tue, Feb 09, 2016 at 04:41:04PM +1100, Stephen Rothwell wrote:
> > >> > Changes since 20160208:
> > >>
> > >> tilepro, tilegx, mips defconfig build fails with the error:
> > >> ../include/asm-generic/fixmap.h: In function '__set_fixmap_offset':
> > >> ../include/asm-generic/fixmap.h:77:2: error: implicit declaration of
> > >> function '__set_fixmap' [-Werror=implicit-function-declaration]
> > >>
> > >> caused by:
> > >> commit ac4c0ac73485 ("asm-generic: make __set_fixmap_offset a static inline")
> > >>
> > >> Reverting the commit fixes the issue.
> > >
> > > Sorry about this.
> > >
> > > Is seems any arch without its own __set_fixmap may be adversely
> > > affected.
> > >
> > > I can't easily stub __set_fixmap as it's not implemented as a macro.
> > 
> > But you can add a forward declaration?
> 
> Good point. That seems to work (tested on arm64, mips, tilegx).
> 
> Arnd, Catalin, happy with the bloew fixup to the original patch?

It looks fine to me. But I'll wait for Arnd's ack before pushing it.

Thanks.

-- 
Catalin